contracts / CrowdFund / State

# State

`data class State : ContractState`

### Constructors

<init> | `State(campaign: Campaign, closed: Boolean = false, pledges: List<Pledge> = ArrayList())`

### Properties

campaign | `val campaign: Campaign`
closed | `val closed: Boolean`
pledgedAmount | `val pledgedAmount: Amount`
pledges | `val pledges: List<Pledge>`
programRef | `val programRef: <ERROR CLASS>` Refers to a bytecode program that has previously been published to the network. This contract program will be executed any time this state is used in an input. It must accept in order for the transaction to proceed.